Subject: Re: bug#70697: 30.0.50; Frame parameter alpha-background is ignored for fringe bitmaps & internal borders

From: Po Lu <[email-masked]>
Date: Tue, 09 Jul 2024 14:12:24 +0800

Aleksandar Dimitrov <[email-masked]> writes:

> Hi Eli, Po Lu,
>
> sorry for taking a while to get back to you, I've had a busy week or
> two.
>
> I've tried out Po Lu's patch. Now:
>
> - the bug with the fringe is fixed in both pgtk and gtk3

Thanks, this portion of the patch has been installed in emacs-30.

> - insets are not opaque anymore in pgtk
> - insets are *black* and opaque with the minimal repro I posted in the beginning of
>   this thread --with-pgtk
> - insets are *white* and opaque --with-x-toolkit=gtk3 (again with the minimal repro)
>
> I'm not sure why that is, or whether that's a problem.

I'll continue pursuing this matter.